Page MenuHomePhabricator

[ARM] Add support for MVE vaddv
ClosedPublic

Authored by samtebbs on Aug 12 2019, 5:45 AM.

Details

Summary

This patch adds vecreduce_add and the relevant instruction selection for vaddv.

Diff Detail

Repository
rL LLVM

Event Timeline

samtebbs created this revision.Aug 12 2019, 5:45 AM
samtebbs updated this revision to Diff 214615.Aug 12 2019, 5:57 AM

Context please!

samtebbs updated this revision to Diff 215101.Aug 14 2019, 6:13 AM

Context please!

Added!

Thanks. I like the way this keeps the vecreduce_add as legal.

llvm/lib/Target/ARM/ARMInstrMVE.td
553 ↗(On Diff #215101)

MQPR, over QPR.

llvm/test/CodeGen/ARM/vaddv.ll
1 ↗(On Diff #215101)

Can you move this test to test/Codegen/Thumb2/mve-vaddv.ll, to be with the others.

samtebbs updated this revision to Diff 215604.Aug 16 2019, 8:47 AM
samtebbs marked 2 inline comments as done.
dmgreen accepted this revision.Aug 19 2019, 1:35 AM

LGTM, thanks.

This revision is now accepted and ready to land.Aug 19 2019, 1:35 AM
This revision was automatically updated to reflect the committed changes.